POST /api/v1/statuses/{id}/boosts

Requires scope: write

Share the specified status with the authenticated user’s followers. A boost creates a re-share event on the timeline without duplicating the original.

Parameters

NameInRequiredTypeDescription
idpathyesinteger

Request body

None.

Example request

curl --request POST \
  --url https://cookifed.example/api/v1/statuses/{id}/boosts \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer $ACCESS_TOKEN'
const options = {
  method: 'POST',
  headers: {Accept: 'application/json', Authorization: 'Bearer $ACCESS_TOKEN'}
};

fetch('https://cookifed.example/api/v1/statuses/{id}/boosts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://cookifed.example/api/v1/statuses/{id}/boosts"

headers = {
    "Accept": "application/json",
    "Authorization": "Bearer $ACCESS_TOKEN"
}

response = requests.post(url, headers=headers)

print(response.text)
require 'uri'
require 'net/http'

url = URI("https://cookifed.example/api/v1/statuses/{id}/boosts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Accept"] = 'application/json'
request["Authorization"] = 'Bearer $ACCESS_TOKEN'

response = http.request(request)
puts response.read_body
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://cookifed.example/api/v1/statuses/{id}/boosts"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("Authorization", "Bearer $ACCESS_TOKEN")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}

Responses

204 No Content

status boosted